# Get Candidates

> Source: https://truto.one/docs/api-reference/unified-ats-api/candidates/get/

`GET /unified/ats/candidates/{id}`

Resource: **Candidates** · API: **Unified ATS API**

## Supported integrations

ApplicantStack, Ashby, BambooHR, Breezy, CATS, Ceipal, Fountain, Greenhouse, Homerun, JazzHR, JobScore, Jobvite, Lever, Loxo, Pinpoint, Recruitee, Recruiterflow, Sage HR, SmartRecruiters, TalentLyft, Teamtailor, Workable, Zoho Recruit

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`organization_id`** _(string)_
  The ID of the organization to filter the candidates by.
- **`job_id`** _(string)_
  The ID of the position to filter the candidates by.

## Response body

- **`id`** _(string, required)_
  The candidate's unique identifier
- **`first_name`** _(string)_
  The candidate's first_name
- **`last_name`** _(string)_
  The candidate's last_name
- **`name`** _(string)_
  The user's full name
- **`company`** _(string)_
  The candidate's company
- **`title`** _(string)_
  The candidate's title
- **`last_interaction_at`** _(string)_
  The candidate's last_interaction date
- **`is_private`** _(string)_
  Whether the candidate is_private
- **`can_email`** _(boolean)_
  Whether the candidate can email
- **`locations`** _(array<string>)_
  The candidate's locations
- **`phones`** _(array<object>)_
  The candidate's phone numbers
  - **`number`** _(string)_
    The candidate's phone number
  - **`extension`** _(string)_
    The extension of the phone number
  - **`type`** _(string)_
    The candidate's phone number type
- **`emails`** _(array<object>)_
  The candidate's emails
  - **`email`** _(string)_
    The candidate's email
  - **`type`** _(string)_
    The candidate's email type
- **`urls`** _(array<object>)_
  The candidate's urls
  - **`url`** _(string)_
    The candidate's URL
  - **`type`** _(string)_
    The candidate's URL type
- **`tags`** _(array<object>)_
  The candidate's tags
  - **`id`** _(string)_
    The tag's unique identifier
  - **`name`** _(string)_
    The tag's name
- **`applications`** _(array<object>)_
  The candidate's applications
  - **`id`** _(string)_
    The application's unique identifier
  - **`candidate`** _(object)_
    The application's candidate
    - **`id`** _(string)_
      Unique identifier of the candidate
  - **`job`** _(object)_
    The application's job
    - **`id`** _(string)_
      Unique identifier of the job
  - **`applied_at`** _(string)_
    The date and time of the application's creation
  - **`rejected_at`** _(string)_
    The date and time of the application's rejection
  - **`source`** _(object)_
    The application's source
    - **`id`** _(string)_
      The application's source's unique identifier
    - **`name`** _(string)_
      The application's source's name
  - **`credited_to`** _(object)_
    The application's credited_to
    - **`id`** _(string)_
      Unique identifier of the user
    - **`first_name`** _(string)_
      First name of the user
    - **`last_name`** _(string)_
      Last name of the user
    - **`emails`** _(array<object>)_
      - **`email`** _(string)_
        Email of the user
      - **`type`** _(string)_
        Type of the email
      - **`is_primary`** _(boolean)_
        Whether the email is primary
  - **`current_stage`** _(object)_
    The application's current_stage
    - **`id`** _(string)_
      The application's current_stage's unique identifier
    - **`name`** _(string)_
      The application's current_stage's name
    - **`job`** _(object)_
      The application's current_stage's job
      - **`id`** _(string)_
        Unique identifier of the job
    - **`created_at`** _(string)_
      The date and time of the application's current_stage's creation
    - **`updated_at`** _(string)_
      The date and time of the application's current_stage's last update
  - **`reject_reason`** _(string)_
    The application's reject_reason
  - **`attachments`** _(array<object>)_
    The application's attachments
    - **`id`** _(string, required)_
      The attachment's unique identifier
    - **`file_name`** _(string)_
      The attachment's file_name
    - **`file_url`** _(string)_
      The attachment's file_url
    - **`candidate`** _(object)_
      The attachment's candidate
      - **`id`** _(string)_
        Unique identifier of the candidate
    - **`application`** _(object)_
      The attachment's application
      - **`id`** _(string)_
        Unique identifier of the application
    - **`job`** _(object)_
      The attachment's job
      - **`id`** _(string)_
        Unique identifier of the job
    - **`attachment_type`** _(string)_
      The attachment's type
    - **`created_at`** _(string)_
      The date and time of the attachment's creation
    - **`updated_at`** _(string)_
      The date and time of the attachment's last update
  - **`created_at`** _(string)_
    The date and time of the application's creation
  - **`updated_at`** _(string)_
    The date and time of the application's last update
- **`attachments`** _(array<object>)_
  The candidate's attachments
  - **`id`** _(string, required)_
    The attachment's unique identifier
  - **`file_name`** _(string)_
    The attachment's file_name
  - **`file_url`** _(string)_
    The attachment's file_url
  - **`candidate`** _(object)_
    The attachment's candidate
    - **`id`** _(string)_
      Unique identifier of the candidate
  - **`application`** _(object)_
    The attachment's application
    - **`id`** _(string)_
      Unique identifier of the application
  - **`job`** _(object)_
    The attachment's job
    - **`id`** _(string)_
      Unique identifier of the job
  - **`attachment_type`** _(string)_
    The attachment's type
  - **`created_at`** _(string)_
    The date and time of the attachment's creation
  - **`updated_at`** _(string)_
    The date and time of the attachment's last update
- **`created_at`** _(string)_
  The date and time of the phone number's creation
- **`updated_at`** _(string)_
  The date and time of the phone number's last update
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/ats/candidates/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ats/candidates/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/ats/candidates/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'ats',
  'candidates',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "ats",
        "candidates",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
